Lấy danh sách người giàu trên sàn chứng khoán
curl --request GET \
--url https://api.fireant.vn/individuals/richest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/individuals/richest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/individuals/richest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/individuals/richest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/individuals/richest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/individuals/richest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/individuals/richest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"individualID": 123,
"isForeign": true,
"name": "<string>",
"gender": 0,
"hasPhoto": true,
"dateOfBirth": "<string>",
"homeTown": "<string>",
"education": 0,
"placeOfBirth": "<string>",
"isDead": true,
"symbol": "<string>",
"positionName": "<string>",
"institutionName": "<string>",
"institutionIsListing": true,
"institutionSymbol": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"lastAsset": 123,
"asset1D": 123,
"asset1W": 123,
"asset1M": 123,
"asset3M": 123,
"asset6M": 123,
"asset1Y": 123,
"lastRank": 123,
"rank1D": 123,
"rank1W": 123,
"rank1M": 123,
"rank3M": 123,
"rank6M": 123,
"rank1Y": 123,
"assetSourceICBCode": "<string>",
"assetSourceICBName": "<string>",
"assetSourceICBProportion": 123,
"assetSourceInstitutionID": 123,
"assetSourceInstitutionName": "<string>",
"assetSourceInstitutionProportion": 123
}
]Individuals
Lấy danh sách người giàu trên sàn chứng khoán
GET
/
individuals
/
richest
Lấy danh sách người giàu trên sàn chứng khoán
curl --request GET \
--url https://api.fireant.vn/individuals/richest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/individuals/richest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/individuals/richest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/individuals/richest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/individuals/richest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/individuals/richest")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/individuals/richest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"individualID": 123,
"isForeign": true,
"name": "<string>",
"gender": 0,
"hasPhoto": true,
"dateOfBirth": "<string>",
"homeTown": "<string>",
"education": 0,
"placeOfBirth": "<string>",
"isDead": true,
"symbol": "<string>",
"positionName": "<string>",
"institutionName": "<string>",
"institutionIsListing": true,
"institutionSymbol": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"lastAsset": 123,
"asset1D": 123,
"asset1W": 123,
"asset1M": 123,
"asset3M": 123,
"asset6M": 123,
"asset1Y": 123,
"lastRank": 123,
"rank1D": 123,
"rank1W": 123,
"rank1M": 123,
"rank3M": 123,
"rank6M": 123,
"rank1Y": 123,
"assetSourceICBCode": "<string>",
"assetSourceICBName": "<string>",
"assetSourceICBProportion": 123,
"assetSourceInstitutionID": 123,
"assetSourceInstitutionName": "<string>",
"assetSourceInstitutionProportion": 123
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Lọc theo Giới tính (male, female hoặc để trống để lấy tất cả), mặc định lấy tất cả giới tính
Lọc theo ngành (mã ngành ICB hoặc để trống để lấy tất cả), mặc định lấy tất cả ngành
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
(Male = Nam, Female = Nữ)
Tùy chọn có sẵn:
0, 1 (HighSchool = Tốt nghiệp PTTH, Intermediate = Trung cấp, Diploma = Kỹ sư, Bachelor = Cử nhân, Master = Thạc sĩ, Doctor = Tiến sĩ)
Tùy chọn có sẵn:
0, 1, 2, 3, 4, 5